> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Update MCP configuration

PUT https://api.synthflow.ai/v2/workspaces/{workspace_id}/mcp-config
Content-Type: application/json

Updates an existing MCP configuration for a specific workspace. Returns 404 if no configuration exists (use POST to create one).

For each server entry, if `headers` is omitted or `null` and a server with the same `id` already exists, the stored header values are preserved. To explicitly clear all headers for a server, pass `headers: {}`.


Reference: https://docs.synthflow.ai/api-reference/platform-api/mcp-servers/update-workspace-mcp-config

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /workspaces/{workspace_id}/mcp-config:
    put:
      operationId: update-workspace-mcp-config
      summary: Update MCP configuration
      description: >
        Updates an existing MCP configuration for a specific workspace. Returns
        404 if no configuration exists (use POST to create one).


        For each server entry, if `headers` is omitted or `null` and a server
        with the same `id` already exists, the stored header values are
        preserved. To explicitly clear all headers for a server, pass `headers:
        {}`.
      tags:
        - subpackage_mcp
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '204':
          description: MCP configuration updated successfully
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: No MCP configuration found for this workspace
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentMCPConfigIn'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
  - url: https://api.eu.synthflow.ai/v2
components:
  schemas:
    MCPServerIn:
      type: object
      properties:
        id:
          type: string
          description: Stable config ID. Omit for new entries (auto-generated).
        mcp_url:
          type: string
          format: uri
          description: The HTTPS URL of the MCP server (SSE endpoint)
        headers:
          type:
            - object
            - 'null'
          additionalProperties:
            type: string
          description: >-
            Custom headers to send with MCP requests (e.g. Authorization, API
            keys)
      required:
        - mcp_url
      title: MCPServerIn
    AgentMCPConfigIn:
      type: object
      properties:
        servers:
          type: array
          items:
            $ref: '#/components/schemas/MCPServerIn'
          description: List of MCP server configurations
      required:
        - servers
      title: AgentMCPConfigIn
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config"

payload = { "servers": [{ "mcp_url": "https://mcp.example.com/sse" }] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config"

	payload := strings.NewReader("{\n  \"servers\": [\n    {\n      \"mcp_url\": \"https://mcp.example.com/sse\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"servers\": [\n    {\n      \"mcp_url\": \"https://mcp.example.com/sse\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"servers\": [\n    {\n      \"mcp_url\": \"https://mcp.example.com/sse\"\n    }\n  ]\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"servers\": [\n    {\n      \"mcp_url\": \"https://mcp.example.com/sse\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["servers": [["mcp_url": "https://mcp.example.com/sse"]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```